#include "treelib.def"
!===================================
!
! acceptnode.F
!
! PURPOSE: returns .true. if node meets acceptance criterion.
!
!          Used in buildtree. 
!
!===================================

function acceptnode(crho, nrho, rholo, rhohi, icrit)

  implicit none

  integer icrit ! -1: accept nothing
                !  0: accept everything
                !  1: accept if rholo < rhonext < rhohi (results in 
                !     coherent regions of rholo < rho < rhohi)
                !  2: accept if rholo < rhonext < current rho (results
                !     in coherent regions with decreasing rho)

#ifdef SINGLE
  real crho, nrho, rholo, rhohi
#else
  double precision crho, nrho, rholo, rhohi
#endif

  logical acceptnode

!-----------------------------------

  acceptnode = .false.

  if (icrit .eq. 0) acceptnode = .true. 
  if (icrit .eq. 1) acceptnode = (rholo .le. nrho) .and. (nrho .le. rhohi)
  if (icrit .eq. 2) acceptnode = (rholo .le. nrho) .and. (nrho .le. crho)

  return 

!===================================

end
