#include "treelib.def"
!======================================
! SUBROUTINE: proteusread2d
!
! PURPOSE   : reading data sets for proteus2d
!
!======================================

subroutine proteusread2d(nx,ny,filename,tdmpcount,titer,timec,field,dmpunit,logunit)

  implicit none

  integer nx, ny, iwhich, dmp, logunit, dmpunit

  integer tnx, tny, tnxtot, tnytot, tixbeg,tiybeg, tixend, tiyend, incbdy, tdim, &
          tdmpcount, titer
  
#ifdef SINGLE
  real timec
  real field(nx,ny)
#else
  double precision timec
  double precision field(nx,ny)
#endif
  character(12) filename

!--------------------------------------

  write(logunit,'("PROTEUSREAD2D: reading file ",a12)') filename
  open(unit=dmpunit,file=filename,form="unformatted",status="unknown")
  read(dmpunit) tdim, tnx, tny, tnxtot, tnytot,tixbeg, tiybeg, tixend, tiyend, incbdy
  read(dmpunit) tdmpcount, timec, titer
  read(dmpunit) field
  close(dmpunit)

  write(logunit,'("PROTEUSREAD2D:   nx, ny   = ",i6,i6)') tnx, tny
  write(logunit,'("PROTEUSREAD2D:   iter     = ",i12)') titer
  write(logunit,'("PROTEUSREAD2D:   timec    = ",e12.5)') timec

  return

!========================================

end  

  
