#include "treelib.def"
!======================================
! SUBROUTINE: proteusread3d
!
! PURPOSE   : reading data sets for proteus
!
!======================================

subroutine proteusread3d(nx,ny,nz,filename,tdmpcount,titer,timec,field,dmpunit,logunit)

  implicit none

  integer nx, ny, nz, iwhich, dmp, logunit, dmpunit

  integer tnx, tnxtot, tixbeg, tixend, &
          tny, tnytot, tiybeg, tiyend, &
          tnz, tnztot, tizbeg, tizend, &
          incbdy, tdim, &
          tdmpcount, titer
  
#ifdef SINGLE
  real timec
  real field(nx,ny,nz)
#else
  double precision timec
  double precision field(nx,ny,nz)
#endif

  character(12) filename

!--------------------------------------

  write(logunit,'("PROTEUSREAD2D: reading file ",a12)') filename
  open(unit=dmpunit,file=filename,form="unformatted",status="unknown")
  read(dmpunit) tdim, incbdy
  read(dmpunit) tnx, tnxtot, tixbeg, tixend
  read(dmpunit) tny, tnytot, tiybeg, tiyend
  read(dmpunit) tnz, tnztot, tizbeg, tizend
  read(dmpunit) tdmpcount, timec, titer
  read(dmpunit) field
  close(dmpunit)

  write(logunit,'("PROTEUSREAD2D:   nx,ny,nz = ",i4,i4,i4)') tnx, tny, tnz
  write(logunit,'("PROTEUSREAD2D:   iter     = ",i12)') titer
  write(logunit,'("PROTEUSREAD2D:   timec    = ",e12.5)') timec

  return

!========================================

end  

  
