#include "treelib.def"
!======================================
! SUBROUTINE: proteuswrite3d
!
! PURPOSE   : writing data sets for proteus
!
!======================================

subroutine proteuswrite3d(nx,ny,nz,filename,dmp,iter,timec,field,dmpunit,logunit)

  implicit none

  integer nx, ny, nz, dmp, logunit, dmpunit, iter
  
#ifdef SINGLE
  real timec
  real field(nx,ny,nz)
#else
  double precision timec
  double precision field(nx,ny,nz)
#endif

  character(12) filename

!--------------------------------------

  write(logunit,'("PROTEUSREAD2D: writing file ",a12)') filename
  open(unit=dmpunit,file=filename,form="unformatted",status="unknown")
  write(dmpunit) 2, 0
  write(dmpunit) nx, nx+4, 3, nx+2
  write(dmpunit) ny, ny+4, 3, ny+2
  write(dmpunit) nz, nz+4, 3, nz+2
  write(dmpunit) dmp, timec, iter
  write(dmpunit) field
  close(dmpunit)

  return

!========================================

end  

  
