#include "coretree.def"
!=======================================
!
! treenode
!
! type declarations for treelib.F
!
!=======================================

module datatypes

  type treenode

    type(treenode),pointer :: pnodeip ! pointer to node at i+1
    type(treenode),pointer :: pnodejp ! pointer to node at j+1
    type(treenode),pointer :: pnodekp ! pointer to node at k+1
    type(treenode),pointer :: pnodeim ! pointer to node at i-1
    type(treenode),pointer :: pnodejm ! pointer to node at j-1
    type(treenode),pointer :: pnodekm ! pointer to node at k-1
    type(treenode),pointer :: pmother ! pointer to mother node (one of the above)
    integer                :: imother ! index for mother node: 1: i+1, 2: j+1, 3: k+1
                                      !                        4: i-1, 5: j-1, 6: k-1
                                      ! corresponding pnode?? is set to NULL
    real                   :: rho     ! density at i,j,k
    integer                :: i       ! i
    integer                :: j       ! j
    integer                :: k       ! k
    integer                :: level   ! level within tree. root has level = 0

  end type treenode

end module datatypes

